@(cadastroForm: Form[UserDTO.UserCadastro])(implicit request: RequestHeader, messagesProvider: MessagesProvider)

<!DOCTYPE html>
<html lang="en">
    <head>
        <title>P2 .::. Engenharia de Software III .::. Cadastro</title>
        <link rel="stylesheet" media="screen" href="@routes.Assets.versioned("stylesheets/main.css")">
        <link rel="shortcut icon" type="image/png" href="@routes.Assets.versioned("images/favicon.png")">
    </head>
    <body>

@if(cadastroForm.hasGlobalErrors) {
  <ul>
  @for(error <- cadastroForm.globalErrors) {
    <li>@error.format</li>
  }
  </ul>
}

@request.flash.data.map{ case (name, value) =>
    <div class="@name">@value</div>
}

@import helper._

        <div class="formcreate">
            @helper.form(action = routes.UserController.cadastrar(), 'id -> "cadastroForm") {
                @CSRF.formField           
                @helper.inputText(cadastroForm("username"), '_label -> "Nome:",'_showConstraints -> false)
                @helper.inputPassword(cadastroForm("password"), '_label -> "Senha:",'_showConstraints -> false)
                @helper.inputText(cadastroForm("email"), '_label -> "Email:",'_showConstraints -> false)
                <button type="submit">Cadastrar</button>
            }
        </div>

    </body>
</html>
